
<!doctype html>

<html>
<head>
  <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=yes">
  <meta name="theme-color" content="#4F7DC9">
  <meta charset="UTF-8">
  <title>Create a prototype thermal camera solution using Python on a Raspberry Pi</title>
  <script src="../../bower_components/webcomponentsjs/webcomponents-lite.js"></script>
  <link rel="import" href="../../elements/codelab.html">
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Source+Code+Pro:400|Roboto:400,300,400italic,500,700|Roboto+Mono">
  <style is="custom-style">
    body {
      font-family: "Roboto",sans-serif;
      background: var(--google-codelab-background, #F8F9FA);
    }
  </style>
  
</head>
<body unresolved class="fullbleed">

  <google-codelab title="Create a prototype thermal camera solution using Python on a Raspberry Pi"
                  environment="web"
                  feedback-link="github.com/kenken64">
    
      <google-codelab-step label="Overview of the tutorial" duration="1">
        <p>This tutorial shows you how to create a prototype thermal camera solution using Python on a Raspberry Pi:</p>
<ul>
<li>Knowledge on how to build a DIY thermal camera</li>
<li>Hardware required to make this prototype</li>
<li>Understand how to retrieve temperature values</li>
<li>Generate and stream the thermal image as MJPEG</li>
<li>Implement face detection and stream the person&#39;s face<br>(Edge computing)</li>
<li>Build a Simple Web App (Replace the LCD screen)</li>
<li>Save sensor data to the cloud server (Firebase)</li>
</ul>
<p>Prerequesites</p>
<ul>
<li>Python</li>
<li>Google Firebase</li>
<li>Raspbian Lite</li>
</ul>
<p>We recommend you to have Python and Raspian already installed on your Raspberry Pi 4.</p>


      </google-codelab-step>
    
      <google-codelab-step label="Slides" duration="35">
        <p><img src="img\9c3a9e7305b77c10.jpg"></p>
<p><a href="https://drive.google.com/file/d/1cp9LQnVJ3P0wItfJrb1pjJuzf7mq7BgK/view?usp=sharing" target="_blank">Click here to view Slides</a></p>


      </google-codelab-step>
    
      <google-codelab-step label="Required hardware" duration="15">
        <ul>
<li><a href="https://www.sgbotic.com/index.php?dispatch=products.view&product_id=2962" target="_blank">Raspberry Pi 4 4GB RAM</a></li>
<li><a href="https://www.sgbotic.com/index.php?dispatch=products.view&product_id=2987" target="_blank">16GB MicroSD card</a></li>
<li><a href="https://www.adafruit.com/product/3538" target="_blank">Adafruit AMG8833 Thermal Camera 8x8</a></li>
<li><a href="https://www.sgbotic.com/index.php?dispatch=products.view&product_id=1910" target="_blank">Jumper cable</a></li>
<li><a href="http://amicus.com.sg/migration_prd/shop/grove/cable/grove-universal-4-pin-buckled-20cm-cable-5-pcs-pack/" target="_blank">Grove connector cable</a></li>
<li><a href="http://amicus.com.sg/migration_prd/shop/raspberry-pi-2/raspberry-pi-camera-v2-camera-module/" target="_blank">Raspberry Pi Camera v2</a></li>
<li><a href="https://coral.ai/products/accelerator/" target="_blank">Google Coral USB - Google Edge TPU coprocessor</a></li>
<li><a href="https://www.sgbotic.com/index.php?dispatch=products.view&product_id=1928" target="_blank">WS2812 Addressable RGB LED Stick</a></li>
</ul>


      </google-codelab-step>
    
      <google-codelab-step label="Wiring digram for individual component" duration="20">
        

      </google-codelab-step>
    
  </google-codelab>

  <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
    ga('create', 'UA-49880327-14', 'auto');

    (function() {
      var gaCodelab = '0';
      if (gaCodelab) {
        ga('create', gaCodelab, 'auto', {name: 'codelab'});
      }

      var gaView;
      var parts = location.search.substring(1).split('&');
      for (var i = 0; i < parts.length; i++) {
        var param = parts[i].split('=');
        if (param[0] === 'viewga') {
          gaView = param[1];
          break;
        }
      }
      if (gaView && gaView !== gaCodelab) {
        ga('create', gaView, 'auto', {name: 'view'});
      }
    })();
  </script>

</body>
</html>
